<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Cadastro de Livro</title>
	<style>
	.custom-div {
    width: 500px;
    height:750px;
    background-color: lightblue;
	padding: 20px;
} 
</style>
</head>
<body>

<div class="custom-div mx-auto">
    <form method ="POST" action="cadastralivrobanco">
	<h2 class="mb-4">Cadastro de Livro</h2>
        <div class="mb-3">
            <label for="isbn" class="form-label">ISBN do Livro</label>
            <input type="text" class="form-control" name="isbn" id="isbn" placeholder="Digite o ISBN" required>
        </div>
        <div class="mb-3">
            <label for="titulo" class="form-label">Título do Livro</label>
            <input type="text" class="form-control" name="titulo" id="titulo" placeholder="Digite o título" required>
        </div>
        <div class="mb-3 ">
            <label for="ano" class="form-label">Ano do Livro</label>
            <input type="text" class="form-control" name="ano" id="ano" placeholder="Digite o ano de publicação" required>
        </div>
        <div class="mb-3">
            <label for="categoria" class="form-label">Categoria do Livro</label>
            <input type="text" class="form-control" name="categoria" id="categoria" placeholder="Digite a categoria" required>
        </div>
        
        <div class="mb-3">
        <label for="selecao" class="form-label">Selecione uma Editora:</label>
        <br>
        <select class="form-select" id="selecao" name="editora" required>
        <option value="" selected>Escolha Editora</option>

        <?php
        $sql = "SELECT id_editora, nome_editora FROM editora order by nome_editora";
        $result = $conexao->query($sql);
        while ($row = $result->fetch_assoc()) {
           echo "<option value=$row[id_editora]>$row[nome_editora]</option>";
        }
        ?>
        </select>   
    </div>
    
        <div class="mb-3">
            <label for="autor" class="form-label">Autor do Livro</label>
            <input type="text" class="form-control" name="autor" id="autor" placeholder="Digite o autor">
        </div>
        <div class="mb-3">
            <label for="qtde" class="form-label">Quantidade Livro</label>
            <input type="number" class="form-control" name="qtde" id="qtde" placeholder="Digite o quantidade">
        </div>
        <button type="submit" class="btn btn-primary">Cadastrar</button>
    </form>
</div>
</body>
</html>
